Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.configuration
Class WCTSDeegreeParams

    java.lang.Object
      org.deegree.ogcwebservices.wcts.configuration.WCTSDeegreeParams

    public class WCTSDeegreeParams

extends Object

`WCTSDeegreeParams` encapsulates all deegree specific configuration.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`WCTSDeegreeParams()` Using standard provider, the default transformation prefix and the deegree transform response.
`WCTSDeegreeParams(boolean useDeegreeTransformType)`
`WCTSDeegreeParams(int updateSequence, String configuredCRSProvider, String transformationPrefix, boolean useDeegreeTransformType, boolean createDefaultTransformationsDescription)` Instantiate the deegree params with given configured crs provider, full qualified name.
`WCTSDeegreeParams(String configuredCRSProvider, boolean useDeegreeTransformType)` Instantiate the deegree params with given configured crs provider, full qualified name.

Method Summary
`boolean` | `createDefaultTransformationsDescription()`
`String` | `getConfiguredCRSProvider()`
`String` | `getTransformationPrefix()`
`int` | `getUpdateSequence()`
`boolean` | `useDeegreeTransformType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCTSDeegreeParams

    public WCTSDeegreeParams(int updateSequence,
                             String configuredCRSProvider,
                             String transformationPrefix,
                             boolean useDeegreeTransformType,
                             boolean createDefaultTransformationsDescription)

  Instantiate the deegree params with given configured crs provider, full qualified name.

  Parameters:
    `updateSequence` -
    `configuredCRSProvider` -
    `transformationPrefix` -
    `useDeegreeTransformType` - true if transform response elements should use the deegree inline/multipart elements. If false results will be put beneath the wcts:OperationResponse element.
    `createDefaultTransformationsDescription` -

### WCTSDeegreeParams

    public WCTSDeegreeParams(String configuredCRSProvider,
                             boolean useDeegreeTransformType)

  Instantiate the deegree params with given configured crs provider, full qualified name.

  Parameters:
    `configuredCRSProvider` -
    `useDeegreeTransformType` - true if transform response elements should use the deegree inline/multipart elements. If false results will be put beneath the wcts:OperationResponse element.

### WCTSDeegreeParams

    public WCTSDeegreeParams(boolean useDeegreeTransformType)

Parameters:
  `useDeegreeTransformType` - true if transform response elements should use the deegree inline/multipart elements. If false results will be put beneath the wcts:OperationResponse element.

### WCTSDeegreeParams

    public WCTSDeegreeParams()

  Using standard provider, the default transformation prefix and the deegree transform response.

Method Detail

### getConfiguredCRSProvider

    public final String getConfiguredCRSProvider()

  Returns:
    the configuredCRSProvider might be `null` if no provider was configured.

### useDeegreeTransformType

    public final boolean useDeegreeTransformType()

  Returns:
    true if the transform response should be inside deegree:inline/deegree:multipart elements or if false they will be put directly beneath the operationresponse element.

### getTransformationPrefix

    public final String getTransformationPrefix()

  Returns:
    the transformationPrefix will never be `null` the default is "urn:deegree:wcts:transformation:".

### createDefaultTransformationsDescription

    public final boolean createDefaultTransformationsDescription()

  Returns:
    true if the descriptions for the default transformations should be created.

### getUpdateSequence

    public final int getUpdateSequence()

  Returns:
    the updateSequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org